Loading...
Searching...
No Matches
CFRandomFactory Class Reference

`#include <cf_random.h>`

## Static Public Member Functions

static CFRandom * | generate ()
static CFRandom * | generate ()
static CFRandom * | generate ()

## Detailed Description

Definition at line 87 of file cf_random.h.

## Member Function Documentation

## generate() [1/3]

CFRandom * CFRandomFactory::generate | ( |  | ) |

static

Definition at line 167 of file cf_random.cc.

{
if ( getCharacteristic() == 0 )
return new IntRandom();
if ( getGFDegree() > 1 )
return new GFRandom();
else
return new FFRandom();
}
getGFDegree
int getGFDegree()
Definition cf_char.cc:75
getCharacteristic
int FACTORY_PUBLIC getCharacteristic()
Definition cf_char.cc:70

## generate() [2/3]

CFRandom * CFRandomFactory::generate | ( |  | ) |

static

## generate() [3/3]

CFRandom * CFRandomFactory::generate | ( |  | ) |

static

The documentation for this class was generated from the following files:

- factory/cf_random.h
- factory/factory.h
- factory/include/factory/factory.h
- factory/cf_random.cc